aboutsummaryrefslogtreecommitdiffstats
path: root/main/readline/APKBUILD
diff options
context:
space:
mode:
authorBartłomiej Piotrowski <bpiotrowski@alpinelinux.org>2014-03-03 14:54:52 +0100
committerBartłomiej Piotrowski <bpiotrowski@alpinelinux.org>2014-03-03 14:55:16 +0100
commita48ea76f08b446cbfa653ae9c6ba8582d8ca87b9 (patch)
tree804aad876c2497e9129b1f683f0ae0c8da5a90ad /main/readline/APKBUILD
parent021a69691401f3f097015d8c705a9ff89046726d (diff)
downloadaports-a48ea76f08b446cbfa653ae9c6ba8582d8ca87b9.tar.gz
aports-a48ea76f08b446cbfa653ae9c6ba8582d8ca87b9.tar.bz2
aports-a48ea76f08b446cbfa653ae9c6ba8582d8ca87b9.tar.xz
main/readline: upgrade to 6.3
Diffstat (limited to 'main/readline/APKBUILD')
-rw-r--r--main/readline/APKBUILD43
1 files changed, 21 insertions, 22 deletions
diff --git a/main/readline/APKBUILD b/main/readline/APKBUILD
index 7625fee8b0..58588507c3 100644
--- a/main/readline/APKBUILD
+++ b/main/readline/APKBUILD
@@ -1,9 +1,10 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=readline
-pkgver=6.2.004
-_myver=${pkgver%.*}
-_patchver=${pkgver##*.}
-_suff=${_myver%.*}${_myver#*.}
+pkgver=6.3
+#_myver=${pkgver%.*}
+#_patchver=${pkgver##*.}
+#_suff=${_myver%.*}${_myver#*.}
+_myver=$pkgver
pkgrel=0
pkgdesc="GNU readline library"
url="ftp://ftp.cwru.edu/pub/bash/"
@@ -16,24 +17,24 @@ source="http://ftp.gnu.org/gnu/readline/readline-${_myver}.tar.gz
"
# generate url's to patches. note: no forks allowed!
-_i=1
-while [ $_i -le $_patchver ]; do
- source="$source http://ftp.gnu.org/gnu/readline/readline-$_myver-patches/readline$_suff-00$_i"
- _i=$(( $_i + 1))
-done
+#_i=1
+#while [ $_i -le $_patchver ]; do
+ #source="$source http://ftp.gnu.org/gnu/readline/readline-$_myver-patches/readline$_suff-00$_i"
+ #_i=$(( $_i + 1))
+#done
_builddir="$srcdir"/$pkgname-$_myver
prepare() {
cd "$_builddir"
update_config_sub || return 1
- for i in "$srcdir"/readline$_suff-???; do
- [ -r "$i" ] || continue
- msg "Applying ${i##*/}"
- patch -Np0 -i ${i} || return 1
- done
+ #for i in "$srcdir"/readline$_suff-???; do
+ #[ -r "$i" ] || continue
+ #msg "Applying ${i##*/}"
+ #patch -Np0 -i ${i} || return 1
+ #done
}
-build() {
+build() {
cd "$_builddir"
./configure \
--build=$CBUILD \
@@ -42,17 +43,15 @@ build() {
--mandir=/usr/share/man \
--infodir=/usr/share/info \
|| return 1
-
+
make SHLIB_LIBS=-lncurses || return 1
}
package() {
cd "$_builddir"
make DESTDIR="$pkgdir" install || return 1
-
+
}
-md5sums="67948acb2ca081f23359d0256e9a271c readline-6.2.tar.gz
-83287d52a482f790dfb30ec0a8746669 readline62-001
-0665020ea118e8434bd145fb71f452cc readline62-002
-c9d5d79718856e711667dede87cb7622 readline62-003
-c08e787f50579ce301075c523fa660a4 readline62-004"
+md5sums="33c8fb279e981274f485fd91da77e94a readline-6.3.tar.gz"
+sha256sums="56ba6071b9462f980c5a72ab0023893b65ba6debb4eeb475d7a563dc65cafd43 readline-6.3.tar.gz"
+sha512sums="f70efaf46d570b85c7637172b0ee2eb9a4aa73ba38a62bb45075e665929d9701b96fba0aea6c767fd9a2a0d39dfe8e70ab06da08f8524aee76a7c502f370a401 readline-6.3.tar.gz"